package cz.muni.fi.pa165.facade;

import cz.muni.fi.pa165.dto.BaseDTO;
import cz.muni.fi.pa165.entity.BaseEntity;

import java.util.List;
import java.util.UUID;

public interface BaseFacade<GenericDTO extends BaseDTO, GenericEntity extends BaseEntity> {

    GenericDTO findById(UUID id, GenericDTO dto);

    List<GenericDTO> getAll(List<GenericDTO> listDto);

    UUID create(GenericDTO dto, GenericEntity entity);
}
